Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#26 Assertion failed! ioaddr != NULL

important
closed-fixed
Jeff Garzik
8139too (65)
5
2001-10-26
2001-05-02
Anonymous
No

Kernel 2.4.3: 8139too works fine.

Kernel 2.4.4 (==April 14 release) : non functional.
assert fail, driver chooses wrongly 100Mbit, hw address
ff:ff:...

System: up to date debian/unstable/i386

CONFIG_8139TOO=m
CONFIG_8139TOO_PIO=y
# CONFIG_8139TOO_TUNE_TWISTER is not set
CONFIG_8139TOO_8129=y

syslog:
May 2 00:53:46 vader kernel: 8139too Fast Ethernet
driver 0.9.16
May 2 00:53:46 vader kernel: PCI: Found IRQ 10 for
device 00:09.0
May 2 00:53:46 vader kernel: Assertion failed! ioaddr
!= NULL,8139too.c,rtl8139_init_one,line=927
May 2 00:53:46 vader kernel: eth0: RealTek RTL8139
Fast Ethernet at 0xe800, ff:ff:ff:ff:ff:ff, IRQ 10
May 2 00:53:46 vader kernel: eth0: Identified 8139
chip type 'RTL-8139C'
May 2 00:53:47 vader kernel: eth0: Setting 100mbps
half-duplex based on auto-negotiated partner ability
ffff.

ifconfig :
eth0 Link encap:Ethernet HWaddr
FF:FF:FF:FF:FF:FF
inet addr:192.168.1.19 Bcast:192.168.1.255
Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST MTU:1500
Metric:1
RX packets:0 errors:0 dropped:4294967295
overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0
carrier:0
collisions:0 txqueuelen:100
RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)
Interrupt:10 Base address:0xe800

rtl-diag:
rtl8139-diag.c:v2.01 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0xe800.
RealTek chip registers at 0xe800
0x000: 5a544800 00007380 80000000 00000000 00002000
00002000 00002000 00002000
0x020: 03792000 03792600 03792c00 03793200 03c40000
01000000 0000fff0 00000000
0x040: 74000000 00000000 da772859 00000000 008d1000
00000000 0088e118 00100000
0x060: 1000000f 01e1782d 00000000 00000000 00000005
000f77c0 b0f243b9 7a36d743. No interrupt sources are
pending.
The chip configuration is 0x10 0x8d, MII half-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x12.
Station Address 00:48:54:5A:80:73.
Configuration register 0/1 -- 0x8d / 0xc2.
EEPROM active region checksum is 09a8.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 e112 4800
5a54 7380 8d10 f7c2 8801 43b9 b0f2 071a
df43 8a36 df43 8a36 43b9 b0f2 1111 1111
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0xced0.

pci:
00:09.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd.
RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at e800 [size=256]
Region 1: Memory at d3800000 (32-bit,
non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
Status: D0 PME-Enable+ DSel=0 DScale=0
PME-

cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Celeron (Coppermine)
stepping : 6
cpu MHz : 561.193
cache size : 128 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr
pge mca cmov pat pse36 mmx fxsr sse
bogomips : 1117.38

Discussion

  • Jeff Garzik
    Jeff Garzik
    2001-05-03

    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik
    Jeff Garzik
    2001-10-26

    • status: open --> closed-fixed
     
  • Jeff Garzik
    Jeff Garzik
    2001-10-26

    Logged In: YES
    user_id=17443

    This problem is fixed in the latest version of the driver. You
    can download the driver from the download section on this
    SourceForge web page.